function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
    game_state.active_objects = {}
	
	-------------------------------------------------------------------------------------------
    -- Create animation ray
	play_field:IgnoreOnTestPoint('ray_1')
	play_field:IgnoreOnTestPoint('ray_2')

	local af = CreateAnimationEffector()
	af:AttachTo(play_field:GetObject('ray_1'))
	af:SetMode(_ANIM_LOOP + _ANIM_PINGPONG)
	af:SetKey(_TRACK_O, 0, 0)
	af:SetKey(_TRACK_O, 2, 1)
	af:Play()
	
	local af = CreateAnimationEffector()
	af:AttachTo(play_field:GetObject('ray_2'))
	af:SetMode(_ANIM_LOOP + _ANIM_PINGPONG)
	af:SetKey(_TRACK_O, 0, 1)
	af:SetKey(_TRACK_O, 2, 0)
	af:Play()
	
	-------------------------------------------------------------------------------------------
    -- Create animation medusa
    local maska_window = play_field:GetObject('maska_window');
    local x_window      = maska_window:GetX() - maska_window:GetAnimation():GetHotX();
    local y_window      = maska_window:GetY() - maska_window:GetAnimation():GetHotY();
    local width_window  = maska_window:GetAnimation():GetWidth();
    local height_window = maska_window:GetAnimation():GetHeight();
    local medusa = play_field:GetObject('medusa03_Animation');
    medusa:SetClipping(x_window, y_window, width_window, height_window);
    local movieDuration = 9.8;
    local effector   = CreateAnimationEffector()
    effector:AttachTo(medusa)
    effector:SetMode(_ANIM_LOOP)
    effector:SetLifeTime(0, 66.6666666666667);
    effector:SetKey(_TRACK_X, 0, 298);
    effector:SetKey(_TRACK_Y, 0, 245.826010808337);
    effector:SetKey(_TRACK_X, 1.84001736111111, 298);
    effector:SetKey(_TRACK_Y, 1.84001736111111, 221.352667029826);
    effector:SetKey(_TRACK_X, 2.14001736111111, 298);
    effector:SetKey(_TRACK_Y, 2.14001736111111, 206.141593441604);
    effector:SetKey(_TRACK_X, 3.14001736111111, 298);
    effector:SetKey(_TRACK_Y, 3.14001736111111, 188.183047106569);
    effector:SetKey(_TRACK_X, 3.54001736111111, 298);
    effector:SetKey(_TRACK_Y, 3.54001736111111, 163.999485545439);
    effector:SetKey(_TRACK_X, 4.44001736111111, 298);
    effector:SetKey(_TRACK_Y, 4.44001736111111, 154.334861517094);
    effector:SetKey(_TRACK_X, 4.99001736111111, 298);
    effector:SetKey(_TRACK_Y, 4.99001736111111, 129.869877974951);
    effector:SetKey(_TRACK_X, 5.84001736111111, 298);
    effector:SetKey(_TRACK_Y, 5.84001736111111, 122.576417816575);
    effector:SetKey(_TRACK_X, 6.39001736111111, 298);
    effector:SetKey(_TRACK_Y, 6.39001736111111, 105.119860177641);
    effector:SetKey(_TRACK_X, 7.14001736111111, 298);
    effector:SetKey(_TRACK_Y, 7.14001736111111, 95.9329250978814);
    effector:SetKey(_TRACK_X, 7.64001736111111, 298);
    effector:SetKey(_TRACK_Y, 7.64001736111111, 82.3067392036785);
    effector:SetKey(_TRACK_X, 10.15, 298);
    effector:SetKey(_TRACK_Y, 10.15, 48);
    effector:SetAnimationTime(movieDuration);
    effector:Play();
    
	game_state.meta_object = 'cigar13'
end

function OnSceneFree(screen)
    FreeData(screen)
end

function OnScreenShown()
end

function OnNotebookOpened()
end

function OnUpdate(dt)
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnObjectWasFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title);
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnMinigameCompleted()
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('active_pixel_chest',anim,277,470,101,0,16,5)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Zoom/bg_chest.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_chest',anim,512,384,1000,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/batten_part.png',0,0,108,36,1,0)
	anim:SetHotSpot(54,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('batten_part',anim,548,734,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Zoom/saw.png',0,0,320,88,1,0)
	anim:SetHotSpot(160,44)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('saw',anim,632,528,1005,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Zoom/saw.png',0,0,320,88,1,0)
	anim:SetHotSpot(160,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw_tool',anim,512,384,1,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Zoom/saw.png',0,0,320,88,1,0)
	anim:SetHotSpot(160,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('saw_tool_visual_inventory',anim,512,384,1,0,0.2,0.2)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Zoom_2/bg_batten.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('bg_batten',anim,512,384,2001,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('active_pixel_batten',anim,549,734,105,0,12,4)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Zoom_2/gallipot.png',0,0,122,90,1,0)
	anim:SetHotSpot(61,45)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('gallipot',anim,444,471,2020,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Animations/ray_1.png',0,0,664,513,1,0)
	anim:SetHotSpot(332,256)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ray_1',anim,563,366,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Animations/ray_2.png',0,0,664,513,1,0)
	anim:SetHotSpot(332,256)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ray_2',anim,563,366,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Animations/bulb_animation.png',0,0,21,92,10,5)
	anim:SetHotSpot(10,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bulb_animation',anim,270,152,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Animations/maska_window.png',0,0,156,124,1,0)
	anim:SetHotSpot(78,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('maska_window',anim,304,145,190,0,1,1)
	local anim = CreateAnimation('data/Texture/Intro/medusa03_Animation.png',2,2,64,64,8,8)
	anim:SetHotSpot(32,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('medusa03_Animation',anim,303,285,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Octopus.png',0,0,742,734,3,12)
	anim:SetHotSpot(371,367)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Octopus',anim,631,402,350,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,532,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,734,390,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Security_Guard.dds',0,0,632,696,1,0)
	anim:SetHotSpot(316,348)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Security_Guard',anim,684,423,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('eyes',anim,499,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/anchor.png',0,0,64,75,1,0)
	anim:SetHotSpot(32,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anchor',anim,306,47,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/apple.png',0,0,27,25,1,0)
	anim:SetHotSpot(13,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple',anim,464,447,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/ball.png',0,0,55,52,1,0)
	anim:SetHotSpot(27,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ball',anim,653,535,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/ball_layer.png',0,0,58,35,1,0)
	anim:SetHotSpot(29,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ball_layer',anim,653,542,125,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/boots.png',0,0,69,68,1,0)
	anim:SetHotSpot(34,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('boots',anim,708,529,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/bottle.png',0,0,35,86,1,0)
	anim:SetHotSpot(17,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,773,747,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/brush.png',0,0,57,35,1,0)
	anim:SetHotSpot(28,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,567,607,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/chest.png',0,0,90,66,1,0)
	anim:SetHotSpot(45,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chest',anim,656,491,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/globe.png',0,0,81,63,1,0)
	anim:SetHotSpot(40,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('globe',anim,320,545,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/globe_layer.png',0,0,30,55,1,0)
	anim:SetHotSpot(15,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('globe_layer',anim,357,541,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/hammer.png',0,0,76,53,1,0)
	anim:SetHotSpot(38,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer',anim,586,519,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/hammer_layer.png',0,0,37,24,1,0)
	anim:SetHotSpot(18,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hammer_layer',anim,577,510,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/hat.png',0,0,68,66,1,0)
	anim:SetHotSpot(34,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hat',anim,762,456,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/lantern.png',0,0,62,101,1,0)
	anim:SetHotSpot(31,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lantern',anim,246,559,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/letter.png',0,0,56,38,1,0)
	anim:SetHotSpot(28,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('letter',anim,175,613,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/lightbulb.png',0,0,56,37,1,0)
	anim:SetHotSpot(28,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lightbulb',anim,578,694,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/mirror.png',0,0,57,57,1,0)
	anim:SetHotSpot(28,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mirror',anim,291,740,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/notebook.png',0,0,72,38,1,0)
	anim:SetHotSpot(36,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('notebook',anim,291,583,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/pen.png',0,0,52,17,1,0)
	anim:SetHotSpot(26,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pen',anim,803,710,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/razor.png',0,0,58,38,1,0)
	anim:SetHotSpot(29,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('razor',anim,250,666,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/teapot.png',0,0,68,78,1,0)
	anim:SetHotSpot(34,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teapot',anim,635,233,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/teapot_layer.png',0,0,16,24,1,0)
	anim:SetHotSpot(8,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('teapot_layer',anim,630,199,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/wrench.png',0,0,46,64,1,0)
	anim:SetHotSpot(23,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench',anim,730,618,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Zoom/saw_layer.png',0,0,217,123,1,0)
	anim:SetHotSpot(108,61)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('saw_layer',anim,489,514,1020,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Zoom_2/gallipot_layer.png',0,0,53,21,1,0)
	anim:SetHotSpot(26,10)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('gallipot_layer',anim,417,503,2025,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/wrench_layer.png',0,0,32,40,1,0)
	anim:SetHotSpot(16,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('wrench_layer',anim,738,631,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/pliers_layer.png',0,0,17,17,1,0)
	anim:SetHotSpot(8,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pliers_layer',anim,843,734,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/hookah.png',0,0,46,83,1,0)
	anim:SetHotSpot(23,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hookah',anim,546,517,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/dice.png',0,0,51,28,1,0)
	anim:SetHotSpot(25,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dice',anim,861,687,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/drill.png',0,0,106,44,1,0)
	anim:SetHotSpot(53,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drill',anim,167,684,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/drill.png',0,0,106,44,1,0)
	anim:SetHotSpot(53,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drill_tool',anim,180,676,100,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/drill.png',0,0,106,44,1,0)
	anim:SetHotSpot(53,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('drill_tool_visual_inventory',anim,512,384,1,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/crawbar.png',0,0,35,116,1,0)
	anim:SetHotSpot(17,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar',anim,638,327,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/crawbar_layer.png',0,0,18,113,1,0)
	anim:SetHotSpot(9,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar_layer',anim,650,334,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/crawbar.png',0,0,35,116,1,0)
	anim:SetHotSpot(17,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar_tool',anim,640,313,100,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/crawbar.png',0,0,35,116,1,0)
	anim:SetHotSpot(17,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('crawbar_tool_visual_inventory',anim,512,384,1,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Comics/Octopus_eyes.png',0,0,110,42,3,12)
	anim:SetHotSpot(55,21)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Octopus_eyes',anim,595,180,360,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/cigar13.png',0,0,84,51,1,0)
	anim:SetHotSpot(42,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar13',anim,321,360,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/13_ chamber_octopus_5/Items/pliers.png',0,0,64,49,1,0)
	anim:SetHotSpot(32,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pliers',anim,869,749,110,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
